thrift-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James E. King III (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (THRIFT-4472) Fix the genspec for ruby so it does not complain about an invalid license
Date Thu, 27 Dec 2018 15:25:10 GMT

     [ https://issues.apache.org/jira/browse/THRIFT-4472?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

James E. King III closed THRIFT-4472.
-------------------------------------

> Fix the genspec for ruby so it does not complain about an invalid license
> -------------------------------------------------------------------------
>
>                 Key: THRIFT-4472
>                 URL: https://issues.apache.org/jira/browse/THRIFT-4472
>             Project: Thrift
>          Issue Type: Bug
>          Components: Ruby - Library
>    Affects Versions: 0.11.0
>         Environment: ubuntu-xenial
>            Reporter: James E. King III
>            Assignee: James E. King III
>            Priority: Trivial
>             Fix For: 0.12.0
>
>
> The thrift.gemspec has a license of `Apache 2.0` and during the build we see:
> {noformat}
> gem build thrift.gemspec
> WARNING: license value 'Apache 2.0' is invalid.  Use a license identifier from
> http://spdx.org/licenses or 'Nonstandard' for a nonstandard license.
> WARNING:  See http://guides.rubygems.org/specification-reference/ for help
> {noformat}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message